Subject: Re: linux-next: kbuild tree build failure

From: Michael Ellerman <[email-masked]>
Date: Thu, 10 Jul 2008 10:51:22 +1000

On Tue, 2008-07-08 at 04:55 +0200, Roman Zippel wrote:
> Hi,
> 
> On Tue, 8 Jul 2008, Michael Ellerman wrote:
> 
> > I don't really see why it "doesn't make sense" for users to input 64-bit
> > values, they're configuring addresses for a 64-bit kernel, so some of
> > the values are going to be 64 bit.
> 
> Do you really expect users to insert random 64bit addresses without making 
> a mistake?

Well yes :)  But I think that's because you're thinking of 
"end-users" and I'm thinking of "users" like myself - ie. _I_ use
Kconfig and I do expect myself to be able to type a 64-bit address.

> > --- .config.orig	2008-07-08 09:30:00.000000000 +1000
> > +++ .config	2008-07-08 09:30:43.000000000 +1000
> > @@ -370,9 +370,8 @@
> >  CONFIG_HOTPLUG_PCI_RPA=m
> >  CONFIG_HOTPLUG_PCI_RPA_DLPAR=m
> >  # CONFIG_HAS_RAPIDIO is not set
> > -CONFIG_PAGE_OFFSET=0xc000000000000000
> > -CONFIG_KERNEL_START=0xc000000002000000
> > -CONFIG_PHYSICAL_START=0x02000000
> > +CONFIG_PAGE_OFFSET=0xc0000000
> > +CONFIG_PHYSICAL_START=0x2000000
> 
> Why is this worse? These are constants, you're not supposed to change them 
> anyway.
> The remaining values are generated in page.h and should be the same as 
> before. If that isn't the case and this patch produces a nonworking 
> kernel, I'd like to hear about it.

You're right the built kernel is fine. So it's not a bug, but I think it
is nicer to have the real values in the .config.

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person